/* Copyright (C) 2024 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergei Zharko [committer] */

/// \file   TrackingSetup.h
/// \date   19.04.2024
/// \brief  A detector setup interface used for tracking input data initialization (source)
/// \author Sergei Zharko <s.zharko@gsi.de>

#include "TrackingSetup.h"

#include "Definitions.h"

using cbm::algo::TrackingSetup;
using fles::Subsystem;

// ---------------------------------------------------------------------------------------------------------------------
//
void TrackingSetup::Init()
{
  if (Opts().Has(Subsystem::TOF)) {
    fTof.SetContext(this->GetContext());
    fTof.Init();
  }
}
